<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$mb_conf = @unserialize($conf['blk_menubar']);

// Enregistrement de la configuration
if (isset($_POST['submit']))
{
  $params = array('show_home', 'group_perm', 'user_perm');

  foreach ($params as $param)
  {
    $conf['additional_pages'][$param] = isset($_POST[$param]);
  }

  $conf['additional_pages']['languages'] = array();
	foreach($_POST['menu_lang'] as $language_code => $name)
  {
		if (!empty($name))
      $conf['additional_pages']['languages'][$language_code] = $name;
	}

  conf_update_param('additional_pages', pwg_db_real_escape_string(serialize($conf['additional_pages'])));

  if (isset($_POST['show_menu']) xor (!isset($mb_conf['mbAdditionalPages']) or $mb_conf['mbAdditionalPages'] == abs($mb_conf['mbAdditionalPages'])))
  {
    if (!isset($mb_conf['mbAdditionalPages']))
    {
      $last = @abs(end($mb_conf));
      $mb_conf['mbAdditionalPages'] = $last + 50;
    }
    $mb_conf['mbAdditionalPages'] = (isset($_POST['show_menu']) ? +1 : -1) * abs($mb_conf['mbAdditionalPages']);
    conf_update_param('blk_menubar', pwg_db_real_escape_string(serialize($mb_conf)));
  }

  array_push($page['infos'], l10n('ap_conf_saved'));
}

// Gestion des langues pour le bloc menu
$template->assign('LANG_DEFAULT_VALUE', @$conf['additional_pages']['languages']['default']);
foreach (get_languages() as $language_code => $language_name)
{
	$template->append('language', array(
    'LANGUAGE_NAME' => $language_name,
    'LANGUAGE_CODE' => $language_code,
    'VALUE' => isset($conf['additional_pages']['languages'][$language_code]) ? $conf['additional_pages']['languages'][$language_code] : '',
    )
  );
}

// Parametrage du template
$template->assign('ap_conf', $conf['additional_pages']);

if (!isset($mb_conf['mbAdditionalPages']) or $mb_conf['mbAdditionalPages'] == abs($mb_conf['mbAdditionalPages']))
{
  $template->assign('SHOW_MENU', true);
}

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/template/config.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>